Skip to navigation

Update SqlDashboardBlock

Beta
Update SqlDashboardBlock.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sql_dashboard_block_idstringRequired
ID of the SqlDashboardBlock.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
descriptionstringOptional

A human-readable description of the block.

namestringOptional
The display name of the block.
sqlQuerystringOptional

The SQL query executed against the Benchling data warehouse. May reference dashboard parameters using {{parameter_name}} placeholder syntax.

Response

OK
__typenamestringOptional
descriptionstringOptional
idstringOptional
indexintegerOptional
namestringOptional
sqlQuerystringOptional

Errors

400
SQL Dashboard Block Update Request Bad Request Error
403
SQL Dashboard Block Update Request Forbidden Error
404
SQL Dashboard Block Update Request Not Found Error
409
SQL Dashboard Block Update Request Conflict Error
429
SQL Dashboard Block Update Request Too Many Requests Error
500
SQL Dashboard Block Update Request Internal Server Error